/**
 * @file 	Measure.java
 * 
 * @date 	Jan 15, 2005
 * @author 	Alexandre Bouchard
 */

package ca.mcgill.lmp;


/**
 * Models a finite measure.
 */
public interface Measure
{
    public double measure(MeasurableSet B);
    public State sampleIn(MeasurableSet B) throws EmptySetException;
    public State sample();
    public MeasurableSet getX();
}
